import AbstractService from './abstractService'
import UserModel from '../models/user'

const paths = {
	getAll: '/projects/{projectId}/projectusers',
} as const

export default class ProjectUserService extends AbstractService<UserModel, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new UserModel(data)
	}
}