import type {IUserSettings} from '@/modelTypes/IUserSettings'
import AbstractService from './abstractService'

const paths = {
	update: '/user/settings/general',
} as const

export default class UserSettingsService extends AbstractService<IUserSettings, typeof paths> {
	constructor() {
		super(paths)
	}
}