import AbstractService from './abstractService'
import UserModel from '@/models/user'
import type {IUser} from '@/modelTypes/IUser'

const paths = {
	getAll: '/users',
} as const

export default class UserService extends AbstractService<IUser, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new UserModel(data)
	}
}